### Method

# EDataBook DataBookViewWatcherSqlite dup_contacts

since: 3.50

#### Declaration [src]

    GPtrArray*
    e_data_book_view_watcher_sqlite_dup_contacts (
      EDataBookViewWatcherSqlite* self,
      guint range_start,
      guint range_length
    )

#### Description [src]

Retrieves contacts in the given range. Returns `NULL` when the `range_start` is out of bounds. The function can return less than `range_length` contacts.

The returned array should be freed with g_ptr_array_unref(), when no longer needed.

Available since: 3.50

#### Parameters

`range_start`

  Type: `guint`

  Range start, 0-based.

`range_length`

  Type: `guint`

  How many contacts to retrieve.

#### Return value

Type: An array of `EContact*`

An array of `EContact`-s, or `NULL`, when `range_start` is out of bounds.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.